#!/usr/bin/php
<?php
require __DIR__.'/../../vendor/autoload.php';

use nur\ldap\app\LdapApplication;
use nur\ldap\schemas\LdapSchemaExtractor;

LdapApplication::run(new class extends LdapApplication {
  const ARGS = [
    "merge" => parent::ARGS,
    ["-o", "--output", "args" => 1],
  ];

  protected $output;

  function main() {
    $conn = $this->getConn();
    $extractor = new LdapSchemaExtractor($conn->getSchemaInfos());
    Txx($extractor->init());
  }
});